package breakout;

import java.awt.Graphics;

public class Ball {
	private int x;	// ボールの左上のx座標
	private int y;	// ボールの左上のy座標
	private int dx;	// ボールの横方向の移動距離
	private int dy;	// ボールの縦方向の移動距離
	private int diameter;	// ボールの直径
	
	/**
	 * new Ball(引き数); をした際に起動するコンストラクター
	 */
	public Ball(int x, int y, int dx, int dy, int diameter){
		// それぞれ引き数をフィールドに代入
		this.x = x;
		this.y = y;
		this.dx = dx;
		this.dy = dy;
		this.diameter = diameter;
	}
	
	public void move(int screenWidth, int screenHeight){
		// ボールの移動
		x += dx;
		y += dy;
		
		// 壁との反射
		if(x < 0 || x+diameter > screenWidth){
			dx *= -1;
		}
		if(y < 0 || y+diameter > screenHeight){
			dy *= -1;
		}
	}		
	
	public void paint(Graphics g){
		g.fillOval(x, y, diameter, diameter);
	}
}
